Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
nodejitsu error when running jitsu deploy
info: Checking app availability sio
info: Creating app sio
info: Creating snapshot 0.0.0
error: Error running command deploy
error: Nodejitsu Error (500): Internal Server Error
error: npm WARN package.json sio@0.0.0 No README.md file found!
npm http GET http://nj-npm.irisnpm.com/express
npm http GET http://nj-npm.irisnpm.com/socket.io
npm http 200 http://nj-npm.irisnpm.com/socket.io
npm http GET http://nj-npm.irisnpm.com/socket.io/-/socket.io-0.9.10.tgz
npm http 200 http://nj-npm.irisnpm.com/socket.io/-/socket.io-0.9.10.tgz
npm http 200 http://nj-npm.irisnpm.com/express
npm ERR! Error: No compatible version found: express@'>= undefined'
npm ERR! Valid install targets:
npm ERR! ["0.14.0","0.14.1","1.0.0beta","1.0.0beta2","1.0.0rc","1.0.0rc2","1.0.0rc3","1.0.0rc4","1.0.0","1.0.1","1.0.2","1.0.3","1.0.4","1.0.5","1.0.6","1.0.7","2.0.0beta","1.0.8","2.0.0beta2","2.0.0beta3","2.0.0rc","2.0.0rc2","2.0.0rc3","2.0.0","2.1.0","2.1.1","2.2.0","2.2.1","2.2.2","2.3.0","2.3.1","2.3.2","2.3.3","2.3.4","2.3.5","2.3.6","2.3.7","2.3.8","2.3.9","2.3.10","2.3.11","2.3.12","2.4.0","2.4.1","2.4.2","2.4.3","2.4.4","2.4.5","2.4.6","2.4.7","2.5.0","2.5.1","2.5.2","2.5.3","2.5.4","2.5.5","2.5.6","2.5.7","2.5.8","2.5.9","3.0.0alpha1","3.0.0alpha2","3.0.0alpha3","3.0.0alpha4","3.0.0alpha5","3.0.0beta1","3.0.0beta2","3.0.0beta3","2.5.10","3.0.0beta4","2.5.11","3.0.0beta6","3.0.0beta7","3.0.0rc1","3.0.0rc2","3.0.0rc3","3.0.0rc4","3.0.0rc5"]
npm ERR! at installTargetsError (/opt/local/lib/node_modules/npm/lib/cache.js:553:10)
npm ERR! at /opt/local/lib/node_modules/npm/lib/cache.js:477:15
npm ERR! at saved (/opt/local/lib/node_modules/npm/node_modules/npm-registry-client/lib/get.js:138:7)
npm ERR! at /opt/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:220:7
npm ERR! at Object.oncomplete (fs.js:297:15)
npm ERR! If you need help, you may report this log at:
npm ERR! <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR! <npm-@googlegroups.com>
npm ERR! System SunOS 5.11
npm ERR! command "/opt/local/bin/node" "/opt/local/bin/npm" "install"
npm ERR! cwd /root/tmp/tmp-28742p3cf0v4/build/package
npm ERR! node -v v0.8.8
npm ERR! npm -v 1.1.59
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /root/tmp/tmp-28742p3cf0v4/build/package/npm-debug.log
npm ERR! not ok code 0
@luisar

This comment has been minimized.

Copy link
Owner Author

commented Sep 19, 2012

{
"name": "sio",
"subdomain": "sio",
"scripts": {
"start": "app.js"
},
"version": "0.0.0",
"engines": {
"node": "0.8.x"
},
"dependencies": {
"express": ">= undefined",
"socket.io": "0.9.x"
}
}

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.